Invalid Versions Not Hidden in Inline Editor

We're testing out the Component and Bundle Versions plugin - even with the Hide Invalid versions setting on, we're seeing invalid versions when selecting Fix or Affects version using the inline editors. The invalid versions are not shown when using the form editor for the same issue.

4 answers

This widget could not be displayed.

Could you tell me exact version of your jira installation, like 5.2.1, 6.2.2? I will try to reproduce the problem with the same versions of JIRA

We are using v6.0.5.

This widget could not be displayed.

I have tried with the exact JIRA version, but I could not reproduce the issue :( We are talking about the following screen isn't it? Or you are trying on the right hand side of JIRA Agile (Greenhopper) planning board? I really appreciate any extra information you could provide for me to reproduce the issue. Thanks.

I haven't tried the bundles yet - this is with component versions.

Yes Deniz - the editor in the screenshot is the place I'm having the issue. Can you send a screenshot of the plugin configuration? I notice you have allow invalid versions permitted.

Even though users could select an invalid version from inline edit screen, if you configure workflow validators, JIRA will not allow issue status to be changed before fixing the invalid mapping. This is especially useful for old projects in which possible there could be lost of mismatch between component and versions. Could you perform a little test for me? If you refresh the page the problem remains or fixed? In the issue filter screen, if you switch between two issues, is the problem remains? I will try my best to reproduce the issue. Thank you for helping me to identify the issue.

Actually it is the default configuration of 1.4.0 release. if the problem is only affecting inline edit and working in create/edit dialogs it should no be related with the configuration. Is problem occurs on component versions or bundle versions?

Not sure if I'm following what your asking correctly.

I tried setting the component version in an issue that doesn't have any components, which it allowed. I was then able to transition the issue to resolved. The issue still shows the component version as a valid.

This widget could not be displayed.
I have reproduced the problem and I will be fixing it today. I will inform you when it is released. Thanks.
This widget could not be displayed.

I have fixed this and a few other problems. Version 1.4.1 is available in the marketplace.

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Aug 22, 2018 in Marketplace Apps

How a Marketplace app tech team is achieving gender diversity

Hello! My name is Genevieve Blanch, and I'm the Marketing Manager at RefinedWiki, creators of apps to give teams the tools to customize Atlassian platforms. Currently, 44% of the tech team at Re...

536 views 3 19
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you